Draft Offset/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "* Apăsați tasta {{KEY|T}} sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul {{KEY|'''Continue''''}}. Dacă funcția continuă este activată, instrumentul...")
(Created page with "== Scrip-Programare ==")
Line 22: Line 22:
* Apăsați butonul {{KEY | ESC}} sau butonul {{KEY | '''Anulare'''}} pentru a întrerupe comanda curentă.
* Apăsați butonul {{KEY | ESC}} sau butonul {{KEY | '''Anulare'''}} pentru a întrerupe comanda curentă.


== Scrip-Programare ==
==Scripting==


The Offset tool can by used in [[macros]] and from the python console by using the following function:
The Offset tool can by used in [[macros]] and from the python console by using the following function:

Revision as of 07:56, 13 November 2018

Draft Offset

poziția meniului
Draft → Offset
Ateliere
Draft, Arch
scurtătură
O S
Prezentat în versiune
-
A se vedea, de asemenea,
Part 2D Offset

Descriere

Instrumentul Decalare deplasează obiectele selectate la o o distanță dată față de durentul paln work plane. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

Cum se folosește

  1. Selectați obiectele pe care doriți să le compensați
  2. Apăsați butonul Draft Offset sau apăsați tasta O urmată apoi de tasta S
  3. Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.

Opţiuni

  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue'. Dacă funcția continuă este activată, instrumentul Offset se va reporni după ce îl terminați sau închideți, permițându-vă să decalați sau să copiați obiectele altfel fără să apăsați din nou butonul Offset.
  • Apăsând butonul ALT sau C sau făcând clic pe butonul Copiere va face o copie a obiectelor, în loc să le mutați. Dacă țineți apăsat ALT după ce faceți clic pe cel de-al doilea punct, veți putea plasa mai multe copii până când eliberați tasta ALT.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctului dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsând pe SHIFT, constrain vă va fi segmentul curent, în loc să-l alegeți cel mai apropiat.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.

Scrip-Programare

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))